Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	MythTV remote access libraries
Name: 		gmyth
Version: 	0.7.1
Release: 	1
License: 	LGPLv2+
Group: 		System/Libraries
Source0: 	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1: 	COPYING.LGPL
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
URL: 		http://gmyth.sf.net
BuildRequires: 	mysql-devel curl-devel libxml2-devel glib-devel

%description
GMyth is a library used by applications to access content provided by the
MythTV set-top box framework, such as Live TV broadcasts, TV recordings, or
TV listings.

%package devel
Summary: 	Development libraries for MythTV remote access
Group: 		Development/Libraries
Requires: 	gmyth = %{version}-%{release}
Requires: 	pkgconfig glib-devel mysql-devel curl-devel

%description devel
gmyth-devel contains development libraries and headers for the GMyth library.

%prep
%setup -q
# Upstream used the default license from the autotools, all the
# files and the project page says LGPL, see:
# http://sourceforge.net/tracker/index.php?func=detail&aid=1790620&group_id=177106&atid=879914
cp -a %{SOURCE1} .

%build
%configure
make %{?_smp_mflags}
chmod a-x gmyth/*.[ch]

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING.LGPL
%{_bindir}/*
%{_libdir}/libgmyth.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/gmyth
%{_libdir}/libgmyth.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Mar 18 2008 Christian Metzen <metzench@ccux-linux.de> 0.7.1-1
- Initial release
